Technology Requirement FAQs

Computers

Students and faculty using their own computers are expected to comply with the minimal hardware configurations recommended by our Information Technology department.

To use Blackboard, students and faculty must have access to the Internet, must use an approved web browser, and must use LeTourneau e-mail. In addition, the Microsoft Office Suite software package is required and specific plug-ins may be required to view posted material in some courses.


Downloads/Plug-ins

Downloading and installing the following applications will allow Blackboard users to view and use various file types that may be found within a Blackboard course. Some courses may require additional software as well.

  • Adobe Acrobat Reader -- Viewer for Adobe ".pdf" files, a common document format.
  • Microsoft Office Viewers -- Faculty and students who do not own Microsoft PowerPoint, Word, Excel, or Visio can download and install these viewers, which will enable them to view files created with Microsoft Office products without having to own Microsoft Office.
  • QuickTime -- QuickTime is a common multimedia video and graphics viewing application. QuickTime makes it possible to view QuickTime ".mov" video files.
  • Media Players -- This folder contains RealPlayer, WinAmp, and Windows Media Player, which are used to listen to various video and audio files over the Internet.
  • WinZip -- Winzip enables the user to view, extract, and compress files in a common zip file compression format.

Requirements for Using the Virtual Classroom

In order to use the Virtual Classroom inside Blackboard, Java must be enabled inside your web browser.  You may also need to make sure that your network's firewall is not restricting outgoing TCP connections on Port 7755, or HTTP connections on Port 8081.


Technical Support

If you are experiencing technical problems (i.e. problems with your computer, password, Internet connection, accessing the course site), technical support staff is available to assist you. Tech Support can be reached at TechSupport@letu.edu or 903-233-3500.


Web Browser Requirements

To access Blackboard, students and faculty may use any Internet service to establish a connection to the Internet.  However, they must use either Microsoft Internet Explorer or Netscape Navigator as their web browser when working with Blackboard.  When using an Internet service that provides a different web browser (such as AOL or Juno), Blackboard users should first connect to the Internet, then close their service's browser and open Microsoft Internet Explorer or Netscape Navigator before moving to online.letu.edu.


Popup Blockers

Installed pop-up blockers must be turned off while working with Blackboard. The following chart lists the earliest version for each web browser that is approved for use with our current version of Blackboard:

Operating System Microsoft Internet Explorer Netscape Navigator Apple Safari
Microsoft Windows 2000 5.5 7.1 -
Microsoft Windows XP 6.0 7.1 -
Apple Macintosh OS 10.2 7.1 1.1
Share

Contact Us:

First Name:

Last Name:

Email:

Topic:

Question:

Share by Email
Share on Facebook
Share on LinkedIn
Share on Twitter